Name:           ansible-packaging
Version:        1
Release:        5%{?dist}
Summary:        RPM packaging macros and generators for Ansible collections

License:        GPLv3+

Source0:        ansible-generator
Source1:        ansible.attr
Source2:        macros.ansible
Source3:        macros.ansible-srpm
Source4:        COPYING

# Require either ansible-core or a version of ansible 2.9 that supports collections but prefer ansible-core.
Requires:       (ansible-core or (ansible < 2.10.0 with ansible >= 2.9.10))
Suggests:       ansible-core

Requires:       ansible-srpm-macros = %{version}-%{release}

# Conflict with anything providing its own copies of these files
%if ! (0%{?rhel} >= 8)
Conflicts:      ansible-core < 2.12.1-3
%endif
Conflicts:      ansible < 2.9.27-3

BuildArch:      noarch

%description
%{summary}.


%package -n ansible-srpm-macros
Summary: SRPM stage RPM packaging macros for Ansible collections

%description -n ansible-srpm-macros
%{summary}.


%prep
%autosetup -T -c
cp -a %{sources} .


%build
# Nothing to build


%install
install -Dpm0644 -t %{buildroot}%{_fileattrsdir} ansible.attr
install -Dpm0644 -t %{buildroot}%{_rpmmacrodir} macros.ansible
install -Dpm0644 -t %{buildroot}%{_rpmmacrodir} macros.ansible-srpm
install -Dpm0755 -t %{buildroot}%{_rpmconfigdir} ansible-generator


%files
%license COPYING
%{_fileattrsdir}/ansible.attr
%{_rpmmacrodir}/macros.ansible
%{_rpmconfigdir}/ansible-generator


%files -n ansible-srpm-macros
%{_rpmmacrodir}/macros.ansible-srpm


%changelog
* Tue May 17 2022 Maxwell G <gotmax@e.email> - 1-5
- Split macros required for building SRPMs into a separate package.

* Tue Apr 26 2022 Maxwell G <gotmax@e.email> - 1-4
- Restore compatability with f34 and f35.

* Mon Jan 31 2022 Neal Gompa <ngompa@fedoraproject.org> - 1-3
- Drop vestigial support for the legacy ansible package
- Make compatibile with RHEL 8.6+

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Neal Gompa <ngompa@fedoraproject.org> - 1-1
- Initial packaging split out of ansible-core (#2038591)
